VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::SubscribedLibraryTypes::ProbeResult::Status Class Reference

The `SubscribedLibrary.ProbeResult.Status` enumerated type defines the error status constants for the probe result. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, SUCCESS, INVALID_URL, TIMED_OUT, HOST_NOT_FOUND, RESOURCE_NOT_FOUND, INVALID_CREDENTIALS, CERTIFICATE_ERROR, UNKNOWN_ERROR }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Status[] | GetValues ()
static Status | ValueOf (string name)
## Static Public Attributes
static readonly Status | SUCCESS = new Status("SUCCESS", Values.SUCCESS)
| Indicates that the probe was successful.
static readonly Status | INVALID_URL = new Status("INVALID_URL", Values.INVALID_URL)
| Indicates that the supplied URL was not valid.
static readonly Status | TIMED_OUT = new Status("TIMED_OUT", Values.TIMED_OUT)
| Indicates that the probe timed out while attempting to connect to the URL.
static readonly Status | HOST_NOT_FOUND = new Status("HOST_NOT_FOUND", Values.HOST_NOT_FOUND)
| Indicates that the host in the URL could not be found.
static readonly Status | RESOURCE_NOT_FOUND = new Status("RESOURCE_NOT_FOUND", Values.RESOURCE_NOT_FOUND)
| Indicates that the given resource at the URL was not found.
static readonly Status | INVALID_CREDENTIALS = new Status("INVALID_CREDENTIALS", Values.INVALID_CREDENTIALS)
| Indicates that the connection was rejected due to invalid credentials.
static readonly Status | CERTIFICATE_ERROR = new Status("CERTIFICATE_ERROR", Values.CERTIFICATE_ERROR)
| Indicates that the provided server certificate thumbprint in library.SubscriptionInfo.sslThumbprint is invalid.
static readonly Status | UNKNOWN_ERROR = new Status("UNKNOWN_ERROR", Values.UNKNOWN_ERROR)
| Indicates an unspecified error different from the other error cases defined in SubscribedLibrary.ProbeResult.Status .

## Detailed Description

The `SubscribedLibrary.ProbeResult.Status` enumerated type defines the error status constants for the probe result.

## Member Enumeration Documentation

enum vmware::content::SubscribedLibraryTypes::ProbeResult::Status::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  SUCCESS | Indicates that the probe was successful.
  INVALID_URL | Indicates that the supplied URL was not valid.
  TIMED_OUT | Indicates that the probe timed out while attempting to connect to the URL.
  HOST_NOT_FOUND | Indicates that the host in the URL could not be found.
  RESOURCE_NOT_FOUND | Indicates that the given resource at the URL was not found.
  INVALID_CREDENTIALS | Indicates that the connection was rejected due to invalid credentials.
  CERTIFICATE_ERROR | Indicates that the provided server certificate thumbprint in library.SubscriptionInfo.sslThumbprint is invalid. In this case, the returned null should be set in library.SubscriptionInfo.sslThumbprint .
  UNKNOWN_ERROR | Indicates an unspecified error different from the other error cases defined in SubscribedLibrary.ProbeResult.Status .

## Member Function Documentation

Values vmware::content::SubscribedLibraryTypes::ProbeResult::Status::GetEnumValue | ( |  | ) | `[inline]`

static Status [] vmware::content::SubscribedLibraryTypes::ProbeResult::Status::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::SubscribedLibraryTypes::ProbeResult::Status::IsUnknown | ( |  | ) | `[inline]`

static Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::CERTIFICATE_ERROR = new Status("CERTIFICATE_ERROR", Values.CERTIFICATE_ERROR)`[static]`

Indicates that the provided server certificate thumbprint in library.SubscriptionInfo.sslThumbprint is invalid.

In this case, the returned null should be set in library.SubscriptionInfo.sslThumbprint .

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::HOST_NOT_FOUND = new Status("HOST_NOT_FOUND", Values.HOST_NOT_FOUND)`[static]`

Indicates that the host in the URL could not be found.

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::INVALID_CREDENTIALS = new Status("INVALID_CREDENTIALS", Values.INVALID_CREDENTIALS)`[static]`

Indicates that the connection was rejected due to invalid credentials.

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::INVALID_URL = new Status("INVALID_URL", Values.INVALID_URL)`[static]`

Indicates that the supplied URL was not valid.

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::RESOURCE_NOT_FOUND = new Status("RESOURCE_NOT_FOUND", Values.RESOURCE_NOT_FOUND)`[static]`

Indicates that the given resource at the URL was not found.

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::SUCCESS = new Status("SUCCESS", Values.SUCCESS)`[static]`

Indicates that the probe was successful.

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::TIMED_OUT = new Status("TIMED_OUT", Values.TIMED_OUT)`[static]`

Indicates that the probe timed out while attempting to connect to the URL.

readonly Status vmware::content::SubscribedLibraryTypes::ProbeResult::Status::UNKNOWN_ERROR = new Status("UNKNOWN_ERROR", Values.UNKNOWN_ERROR)`[static]`

Indicates an unspecified error different from the other error cases defined in SubscribedLibrary.ProbeResult.Status .

The documentation for this class was generated from the following file:

- SubscribedLibraryTypes.cs